
_Main_Init:

;electronique_telerupteur_002_12f675.mpas,18 :: 		begin
;electronique_telerupteur_002_12f675.mpas,19 :: 		CMCON := %00000111;  // comparators OFF
	MOVLW      7
	MOVWF      CMCON+0
;electronique_telerupteur_002_12f675.mpas,20 :: 		INTCON.GIE := 0;     // disable global int
	BCF        INTCON+0, 7
;electronique_telerupteur_002_12f675.mpas,21 :: 		IOC := 0;            // disable Interrupt on change
	CLRF       IOC+0
;electronique_telerupteur_002_12f675.mpas,22 :: 		OPTION_REG.NOT_GPPU := 0;  // enable global pullup
	BCF        OPTION_REG+0, 7
;electronique_telerupteur_002_12f675.mpas,23 :: 		WPU := $FF;                // enable pullup for GPIO
	MOVLW      255
	MOVWF      WPU+0
;electronique_telerupteur_002_12f675.mpas,24 :: 		TRISIO := %00000010;
	MOVLW      2
	MOVWF      TRISIO+0
;electronique_telerupteur_002_12f675.mpas,25 :: 		ANSEL := $00;        // no use of ADC
	CLRF       ANSEL+0
;electronique_telerupteur_002_12f675.mpas,31 :: 		bToggle := false;
	CLRF       _bToggle+0
;electronique_telerupteur_002_12f675.mpas,32 :: 		Out_1 := 0;
	BCF        GP0_bit+0, 0
;electronique_telerupteur_002_12f675.mpas,33 :: 		Out_2 := 1;
	BSF        GP2_bit+0, 2
;electronique_telerupteur_002_12f675.mpas,34 :: 		Out_3 := 0;
	BCF        GP4_bit+0, 4
;electronique_telerupteur_002_12f675.mpas,35 :: 		Out_4 := 0;
	BCF        GP5_bit+0, 5
;electronique_telerupteur_002_12f675.mpas,36 :: 		end;
	RETURN
; end of _Main_Init

_main:

;electronique_telerupteur_002_12f675.mpas,38 :: 		begin
;electronique_telerupteur_002_12f675.mpas,40 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_telerupteur_002_12f675.mpas,41 :: 		while true do
L__main3:
;electronique_telerupteur_002_12f675.mpas,43 :: 		if Button(GPIO, 1, 100, 0) and (bPushed = false) then
	MOVLW      GPIO+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      100
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       _bPushed+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main8
;electronique_telerupteur_002_12f675.mpas,45 :: 		bPushed := true;
	MOVLW      255
	MOVWF      _bPushed+0
;electronique_telerupteur_002_12f675.mpas,46 :: 		if bToggle then
	MOVF       _bToggle+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main11
;electronique_telerupteur_002_12f675.mpas,48 :: 		Out_1 := 0;
	BCF        GP0_bit+0, 0
;electronique_telerupteur_002_12f675.mpas,49 :: 		Out_2 := 1;
	BSF        GP2_bit+0, 2
;electronique_telerupteur_002_12f675.mpas,50 :: 		Out_4 := 1;
	BSF        GP5_bit+0, 5
;electronique_telerupteur_002_12f675.mpas,51 :: 		Delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__main13:
	DECFSZ     R13+0, 1
	GOTO       L__main13
	DECFSZ     R12+0, 1
	GOTO       L__main13
	DECFSZ     R11+0, 1
	GOTO       L__main13
	NOP
;electronique_telerupteur_002_12f675.mpas,52 :: 		Out_4 := 0;
	BCF        GP5_bit+0, 5
;electronique_telerupteur_002_12f675.mpas,53 :: 		bToggle := false;
	CLRF       _bToggle+0
;electronique_telerupteur_002_12f675.mpas,54 :: 		end
	GOTO       L__main12
;electronique_telerupteur_002_12f675.mpas,55 :: 		else
L__main11:
;electronique_telerupteur_002_12f675.mpas,57 :: 		Out_1 := 1;
	BSF        GP0_bit+0, 0
;electronique_telerupteur_002_12f675.mpas,58 :: 		Out_2 := 0;
	BCF        GP2_bit+0, 2
;electronique_telerupteur_002_12f675.mpas,59 :: 		Out_3 := 1;
	BSF        GP4_bit+0, 4
;electronique_telerupteur_002_12f675.mpas,60 :: 		Delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__main14:
	DECFSZ     R13+0, 1
	GOTO       L__main14
	DECFSZ     R12+0, 1
	GOTO       L__main14
	DECFSZ     R11+0, 1
	GOTO       L__main14
	NOP
;electronique_telerupteur_002_12f675.mpas,61 :: 		Out_3 := 0;
	BCF        GP4_bit+0, 4
;electronique_telerupteur_002_12f675.mpas,62 :: 		bToggle := true;
	MOVLW      255
	MOVWF      _bToggle+0
;electronique_telerupteur_002_12f675.mpas,63 :: 		end;
L__main12:
;electronique_telerupteur_002_12f675.mpas,64 :: 		end;
L__main8:
;electronique_telerupteur_002_12f675.mpas,65 :: 		if In_Cmd = 1 then
	BTFSS      GP1_bit+0, 1
	GOTO       L__main16
;electronique_telerupteur_002_12f675.mpas,66 :: 		bPushed := false;
	CLRF       _bPushed+0
L__main16:
;electronique_telerupteur_002_12f675.mpas,67 :: 		end;
	GOTO       L__main3
;electronique_telerupteur_002_12f675.mpas,68 :: 		end.
	GOTO       $+0
; end of _main
